package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotations.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@TableName("sys_dict")
open class SysDict : BaseModel() {
    /**
     * 字典码
     */
    var code: String? = null
    /**
     * 字典值
     */
    var value: String? = null
    /**
     * 标签（中文名）
     */
    var label: String? = null
    /**
     * 类型（1.目录 2.字典)
     */
    var type: Int? = null
    /**
     * 父节点id
     */
    var parentId: Long? = null
    /**
     * 路径枚举
     */
    var path: String? = null
    /**
     * 排序号
     */
    var sort: Int? = null
}
